#!/bin/bash
IFS="
"

for filename in `find . -maxdepth 1 -type d`
do
 if test "${filename}" != "." -a "${filename}" != ".."; then
  cd "${filename}"
  for filenamef in `find . -type f`
   do
   mv -f "${filenamef}" .
  done
  for filenamef in `find . -maxdepth 1 -type d`
   do
   rm -f "${filenamef}" .
  done
  ../kobo_filenameclean.py
  echo "${filename} --> archive"
  zip "../${filename}_kobo_temp.zip" *
  cd ..
  rm -rf "${filename}"
  mv "${filename}_kobo_temp.zip" "${filename}.cbz"
 fi
done
for filename in `find . -name "*.zip"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .zip`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 unzip -O Shift_JIS -j "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.ZIP"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .ZIP`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 unzip -O Shift_JIS -j "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.lzh"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .lzh`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 lha ei "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.LZH"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .LZH`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 lha ei "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.rar"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .rar`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 unrar e "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.RAR"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .RAR`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 unrar e "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.7Z"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .7Z`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 7z e "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done
for filename in `find . -name "*.7z"`
do
 dirname=`dirname ${filename}`
 basename=`basename ${filename} .7z`
 mkdir kobo_temp
 cd kobo_temp
 echo "${filename} --> extract & archive"
 7z e "../${dirname}/${filename}"
 ../kobo_filenameclean.py
 zip "../${basename}_kobo_temp.zip" *
 cd ..
 rm "${filename}"
 rm -rf kobo_temp
 echo "${filename} --> ${dirname}/${basename}.cbz"
 mv "${basename}_kobo_temp.zip" "${dirname}/${basename}.cbz"
done

